Topic: Simply F 2.4 and then older version

I have been using SF for a while, no problems.  Installed SF 2.4 and I don't think it carried over my project settings -- it didn't compile.  Now, when I do a clean on either version, it goes so far and then:

    rm -f "build\PlantBoilersSteam.o" "modules\boilersteam.mod"
    rm -f "build\PlantCen"hatl"almnw\s"mmuorohmdaalmalaP.ci sddlubcor "vsWtmtmel.wpl.W"Al"rluuue .gadoRadiantSystemLowTeoaogaseirModelCrossVent.o" "modules\crossventmgr.mod"
    rm -f "blRecet"ls\displa"mofdreud\odc edTdofearutlpm erfm"muicdl\lueP

garbage. 

is there a workaround here?

Linda

Linda

Re: Simply F 2.4 and then older version

Linda,

It looks like it might be running into a bug with the amount of buffer available for piping processes.  I'll have a look at the problem immediately.

Jeff Armstrong
Approximatrix, LLC

Re: Simply F 2.4 and then older version

Linda,

I also wanted to point out that, although you're seeing garbage in the Build Window, the operation should be completing successfully regardless.  I would check to see if all the object files have disappeared from your build directory.

Your project is relatively large compared to many Fortran projects, so the buffer overrun is probably not being experienced by too many others.  I'll have a fix available tomorrow most likely.

Jeff Armstrong
Approximatrix, LLC

Re: Simply F 2.4 and then older version

Linda,

One more update this evening: I've successfully replicated the issue and subsequently solved the problem.  It was simply a buffer overrun in the pipe that interfaces Simply Fortran to the make program.  I'll have a patched version available tomorrow.  Sorry for the trouble.

Jeff Armstrong
Approximatrix, LLC

Re: Simply F 2.4 and then older version

Linda,

I have a patched version available now that should fix your problem.  Email me at jeff@approximatrix.com if you'd like it immediately.  Otherwise, it should be available to everyone in the next few days along with some additional bug fixes.

Jeff Armstrong
Approximatrix, LLC

Re: Simply F 2.4 and then older version

Jeff, you must be the most attentive provider of technical support, of anyone anywhere, for a software product!
---
John

Re: Simply F 2.4 and then older version

I can probably wait a few days.  I can't remember, now, why I wanted it -- I think I was just testing out the new version.

Linda

Re: Simply F 2.4 and then older version

The new version (2.5) is available from the download page.  It should fix the reported problem.  Let me know if it persists, though.

Jeff Armstrong
Approximatrix, LLC

Re: Simply F 2.4 and then older version

Thanks, will let you know!

Linda